Subject: Re: [PATCH] branch: move multiple branches in a single --force

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Jun 2025 02:55:31 -0700

Andrea Stacchiotti <[email-masked]> writes:

> So, if I may ask, is the proposed patch as written (branch -f A B C X)
> acceptable and you just need me to rewrite the commit message
> or are you not interested in it at all?

As I said, I personally am not interested in such a mode, but you
may be able to interest other people in it, and with wider support
I may change my mind.  But I do not think the feature should not be
tied to "--force" option at all.  "git branch A B C X" should be
able to create three new branches A B C that all tracks X if none of
them exist without "--force".